API DocumentationManufacturer post processing controller

Get post-processing by ID

Retrieves a specific post-processing option by its ID

GET
/api/manufacturer/v1/post-processing/{postProcessingId}
AuthorizationBearer <token>

In: header

Path Parameters

postProcessingIdinteger

ID of the post-processing option to retrieve

Formatint64

Response Body

curl -X GET "http://m-api-dev.phas.io/api/manufacturer/v1/post-processing/0"
{
  "id": 0,
  "type": "string",
  "name": "string",
  "purchasable": true,
  "effectiveFrom": "2019-08-24",
  "productionStatusIds": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ],
  "productionStatusDtos": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "statusName": "string",
      "stepNamePrefix": "string",
      "productionStepType": "string",
      "viewType": "string",
      "buildConstraint": "string",
      "stepNamingStrategy": "string",
      "sequence": 0,
      "duration": 0,
      "isCompletedStatus": true,
      "allowOverproduction": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updateDt": "2019-08-24T14:15:22Z"
    }
  ],
  "isDefault": true,
  "isDeleted": true,
  "colors": [
    {
      "id": 0,
      "code": "string",
      "name": "string"
    }
  ],
  "incompatibleMaterialIds": [
    0
  ],
  "incompatibleMaterials": [
    {
      "materialId": 0,
      "name": "string",
      "type": "string"
    }
  ],
  "mutuallyExclusiveGroup": "string"
}
Empty

Last updated on